# Create a new rental discount plan Endpoint: POST /rental-discount-plans Version: 2.22 Security: bearerAuth ## Request fields (application/json): - `contractOwnerId` (integer, required) The billing entity that will have access to this item Example: 1 - `name` (string, required) Rental discount plan name. Must be unique for a given contract owner Example: "12 month 50% off" - `durationInMonths` (integer, required) Duration of the discount plan in months Example: 12 - `availableFrom` (string, required) Available from date - `availableTo` (string) Available to date ## Response 200 fields (application/json): - `id` (integer) Rental discount plan identifier Example: 1 - `contractOwnerId` (integer, required) The billing entity that will have access to this item Example: 1 - `name` (string, required) Rental discount plan name. Must be unique for a given contract owner Example: "12 month 50% off" - `durationInMonths` (integer, required) Duration of the discount plan in months Example: 12 - `availableFrom` (string, required) Available from date - `availableTo` (string) Available to date ## Response 201 fields (application/json): - `id` (integer) Rental discount plan identifier Example: 1 - `contractOwnerId` (integer, required) The billing entity that will have access to this item Example: 1 - `name` (string, required) Rental discount plan name. Must be unique for a given contract owner Example: "12 month 50% off" - `durationInMonths` (integer, required) Duration of the discount plan in months Example: 12 - `availableFrom` (string, required) Available from date - `availableTo` (string) Available to date ## Response 400 fields ## Response 401 fields ## Response 403 fields